"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var typescript_1 = __importDefault(require("typescript"));
var addModuleExports_1 = require("./addModuleExports");
var getEmitFiles_1 = require("./getEmitFiles");
var parseConfig_1 = require("./parseConfig");
var basePath = process.cwd();
var _a = parseConfig_1.parseConfig(basePath), options = _a.options, fileNames = _a.fileNames;
if (options.module !== typescript_1.default.ModuleKind.CommonJS) {
    throw new Error('Only intended for CommonJS modules (i.e. "module": "commonjs")');
}
getEmitFiles_1.getEmitFiles({ options: options, fileNames: fileNames })
    .filter(function (file) { return file.endsWith(".js") && typescript_1.default.sys.fileExists(file); })
    .forEach(function (jsFile) {
    typescript_1.default.sys.writeFile(jsFile, addModuleExports_1.addModuleExports(typescript_1.default.sys.readFile(jsFile)));
});
